

package cn.ibizlab.assetmanagement.core.plan.mapping;

import org.mapstruct.*;
import cn.ibizlab.assetmanagement.core.plan.domain.EAMPlan;
import cn.ibizlab.assetmanagement.core.workorder.domain.WOOrigin;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface EAMPlanInheritMapping {

    @Mappings({
        @Mapping(source ="eamplanid",target = "wooriginid"),
        @Mapping(source ="eamplanname",target = "wooriginname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    WOOrigin toWoorigin(EAMPlan eamplan);

    @Mappings({
        @Mapping(source ="wooriginid" ,target = "eamplanid"),
        @Mapping(source ="wooriginname" ,target = "eamplanname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    EAMPlan toEamplan(WOOrigin woorigin);

    List<WOOrigin> toWoorigin(List<EAMPlan> eamplan);

    List<EAMPlan> toEamplan(List<WOOrigin> woorigin);

}


