

package cn.ibizlab.assetmanagement.core.apply.mapping;

import org.mapstruct.*;
import cn.ibizlab.assetmanagement.core.apply.domain.EAMApply;
import cn.ibizlab.assetmanagement.core.workorder.domain.WOOrigin;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface EAMApplyInheritMapping {

    @Mappings({
        @Mapping(source ="eamapplyid",target = "wooriginid"),
        @Mapping(source ="eamapplyname",target = "wooriginname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    WOOrigin toWoorigin(EAMApply eamapply);

    @Mappings({
        @Mapping(source ="wooriginid" ,target = "eamapplyid"),
        @Mapping(source ="wooriginname" ,target = "eamapplyname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    EAMApply toEamapply(WOOrigin woorigin);

    List<WOOrigin> toWoorigin(List<EAMApply> eamapply);

    List<EAMApply> toEamapply(List<WOOrigin> woorigin);

}


